Page MenuHomePhabricator

CodeGen: Add -denormal-fp-math-f32 flag
ClosedPublic

Authored by arsenm on Dec 11 2019, 6:35 AM.

Details

Summary

Make the set of FP relatted attributes and command flags closer.

Diff Detail

Event Timeline

arsenm created this revision.Dec 11 2019, 6:35 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 11 2019, 6:35 AM
spatel added inline comments.Feb 21 2020, 6:03 AM
llvm/include/llvm/CodeGen/CommandFlags.inc
448–449

If I'm seeing this and the test correctly, the function attribute overrides any command-line debug flag. That could use a comment; if that's consistent across all of the attributes handled here, make that a function-level comment?

llvm/test/Other/opt-override-denormal-fp-math.ll
24

Add a test or separate file where the function contains both of the denorm attrs simultaneously?

arsenm updated this revision to Diff 249176.Mar 9 2020, 11:37 AM
arsenm marked 2 inline comments as done.

Rebase and address comments

spatel accepted this revision.Thu, Mar 12, 12:58 PM

LGTM

This revision is now accepted and ready to land.Thu, Mar 12, 12:58 PM
echristo accepted this revision.Thu, Mar 12, 1:04 PM